libjgit-ant-java_3.4.0-2_all.deb


Advertisement

Description

libjgit-ant-java - Java implementation of GIT version control (Ant interface)

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libjgit-ant-java
Package version: 3.4.0
Package release: 2
Package architecture: all
Package type: deb
Installed size: 89 B
Download size: 15.48 KB
Official Mirror: ftp.br.debian.org
JGit is a lightweight, pure Java library implementing the Git version control system: * Repository access routines * Network protocols * Core version control algorithms This package contains Ant tasks allowing build scripts to manipulate with Git repositories through JGit library.

Alternatives

    Download

    Source package: jgit

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libjgit-ant-java deb package:
      # sudo apt-get install libjgit-ant-java

    Files

    • /usr/share/doc/libjgit-ant-java/changelog.Debian.gz
    • /usr/share/doc/libjgit-ant-java/copyright
    • /usr/share/java/org.eclipse.jgit.ant-3.4.0.201406110918-r.jar
    • /usr/share/java/org.eclipse.jgit.ant.jar
    • /usr/share/lintian/overrides/libjgit-ant-java
    • /usr/share/maven-repo/org/eclipse/jgit/org.eclipse.jgit.ant/3.4.0.201406110918-r/org.eclipse.jgit.ant-3.4.0.201406110918-r.jar
    • /usr/share/maven-repo/org/eclipse/jgit/org.eclipse.jgit.ant/3.4.0.201406110918-r/org.eclipse.jgit.ant-3.4.0.201406110918-r.pom
    • /usr/share/maven-repo/org/eclipse/jgit/org.eclipse.jgit.ant/debian/org.eclipse.jgit.ant-debian.jar
    • /usr/share/maven-repo/org/eclipse/jgit/org.eclipse.jgit.ant/debian/org.eclipse.jgit.ant-debian.pom

    Changelog

    2014-09-19 - Jakub Adam <jakub.adam@ktknet.cz> jgit (3.4.0-2) unstable; urgency=medium * Fix FTBFS with args4j 2.0.30 (Closes: #761537).

    2014-06-21 - Jakub Adam <jakub.adam@ktknet.cz> jgit (3.4.0-1) unstable; urgency=medium * New Upstream release. * Refreshed debian-custom-build.patch and ftbfs-args4j-2.0.25-fix.patch. * Removed d/patches/java8-compatibility.patch (applied upstream). * Disable jacoco-maven-plugin - no need for code coverage during build.

    2014-05-13 - Emmanuel Bourg <ebourg@apache.org> jgit (3.3.2-1) unstable; urgency=medium * Team upload. [ Emmanuel Bourg ] * New Upstream release. - Refreshed the patches * Fixed a test failure with Java 8 [ tony mancill ] * Update gbp.conf for bz2 upstream tarball.

    2014-03-26 - Jakub Adam <jakub.adam@ktknet.cz> jgit (3.3.1-1) unstable; urgency=medium * New Upstream release. * Fix test failure in org.eclipse.jgit.pgm.ArchiveTest. Added libxz-java into Build-Depends and into org.eclipse.jgit.pgm.test/pom.xml since the dependency has been made optional in libcommons-compress-java.

    2014-03-06 - Jakub Adam <jakub.adam@ktknet.cz> jgit (3.3.0-1) unstable; urgency=medium * New Upstream release. * Removed d/patches/javaewah-compatibility.patch (applied upstream). * Added doc-base control file into libjgit-java-doc. * Remove version from com.googlecode.javaewah Orbit dependency.

    2013-12-23 - Jakub Adam <jakub.adam@ktknet.cz> jgit (3.2.0-1) unstable; urgency=medium * New Upstream release. * Refreshed d/patches/ftbfs-args4j-2.0.25-fix.patch.

    2013-12-03 - Jakub Adam <jakub.adam@ktknet.cz> jgit (3.1.0-2) unstable; urgency=low [ Jakub Adam ] * Fix FTBFS with args4j 2.0.25 (Closes: #730878). * Make Vcs-* fields canonic. [ tony mancill ] * Bump Standards-Version to 3.9.5 (no changes). * Update debian/compat and debhelper dependency to 9.

    2013-10-08 - Jakub Adam <jakub.adam@ktknet.cz> jgit (3.1.0-1) unstable; urgency=low * New Upstream release. * Refreshed d/patches/javaewah-compatibility.patch. * Enable build of new artifact org.eclipse.jgit.archive.

    2013-09-17 - Jakub Adam <jakub.adam@ktknet.cz> jgit (3.0.3-1) unstable; urgency=low * New Upstream release.

    2013-06-11 - Jakub Adam <jakub.adam@ktknet.cz> jgit (3.0.0-1) unstable; urgency=low * New Upstream release. * Use maven.ignoreRules to remove unnecessary maven plugins. * Add libjavaewah-java to Build-Depends. * Don't install org.eclipse.jgit.junit.jar, it's used only by tests. * Use xz for upstream tarball compression. * Enable build of org.eclipse.jgit.java7.jar.

    Advertisement
    Advertisement